# Get verification result

Retrieves the results of the verification session, which contains detailed information about the submitted documents (including PII). This should be called from the backend.

Endpoint: GET /api/v1/verification/{sid}/result
Security: verify_access_token

## Path parameters:

  - `sid` (any, required)
    Session ID returned upon session creation or in the callback URL upon completing the verification

## Query parameters:

  - `detailed` (boolean)
    This parameter allows existing customers to select between response objects. You should explicitly send false to return the DeprecatedSessionResult response structure or send true to return the new CompleteSessionResult/IncompleteSessionResult response structure. Please note this parameter will be removed once DeprecatedSessionResult is fully deprecated.

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - CompleteSessionResult:
      - `session_id` (string, required)
        ID of the verification session
      - `status` (string, required)
        Status of the verification session.
     See [verification statuses](/guides/verify/identity_verification_result/#verification-status)
        Enum: "complete"
      - `recommendation` (string, required)
        Aggregated result of the verification checks.
    See [recommendations]( /guides/verify/identity_verification_result/#recommendations)
        Enum: "ALLOW", "CHALLENGE", "DENY"
      - `risk_details` (object)
        Detailed risk information collected during the verification flow.
      - `risk_details.general` (object)
        General Fraud Prevention details for the verification action.
      - `risk_details.general.correlation_id` (string)
        Unique correlation ID for the verification action.
        Example: "SUMCposIdWZfgNp"
      - `risk_details.general.action_type` (string)
        Type of action assessed by Fraud Prevention.
        Example: "identity_verification"
      - `risk_details.general.recommendation` (string)
        Fraud Prevention recommendation for the verification action.
        Example: "rejected"
      - `risk_details.general.risk_score` (number)
        Risk score calculated by Fraud Prevention.
        Example: 94.6
      - `risk_details.device` (object)
        Device risk details collected during the verification flow.
      - `risk_details.device.os` (string)
        Operating system used by the device.
        Example: "Android"
      - `risk_details.device.browser` (string)
        Browser used by the device.
        Example: "Chrome"
      - `risk_details.device.device_id` (string)
        Unique device identifier.
        Example: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9"
      - `risk_details.device.device_fingerprint` (string)
        Device fingerprint hash.
        Example: "4ebf21edcb4297363ad239386fc6e45e34123045f6ac7b9da93c415d7cb60bdc"
      - `risk_details.device.device_type` (string)
        Type of device used for the verification.
        Enum: "mobile", "desktop"
      - `risk_details.device.device_model` (string)
        Device model used for the verification.
        Example: "SM-G955U"
      - `risk_details.device.device_timestamp` (integer)
        Timestamp of the device event, in epoch milliseconds.
        Example: 1777462766771
      - `risk_details.device.timezone` (string)
        Device timezone.
        Example: "Asia/Jerusalem"
      - `risk_details.device.incognito` (boolean)
        Indicates whether incognito mode was detected.
      - `risk_details.device.tampered` (boolean)
        Indicates whether device tampering was detected.
      - `risk_details.device.emulated` (boolean)
        Indicates whether an emulator was detected.
      - `risk_details.device.spoofed` (boolean)
        Indicates whether device spoofing was detected.
        Example: true
      - `risk_details.device.esim` (boolean)
        Indicates whether eSIM information was detected.
      - `risk_details.network` (object)
        Network risk details collected during the verification flow.
      - `risk_details.network.network_country` (string)
        Country detected from the network.
        Example: "IE"
      - `risk_details.network.ip_address` (string)
        IP address (IPv4 or IPv6) detected from the network.
        Example: "192.168.1.1"
      - `risk_details.network.ip_type` (string)
        Type of IP address detected.
        Example: "hosting"
      - `risk_details.network.ip_organization` (string)
        Organization associated with the IP address.
        Example: "Amazon.com, Inc."
      - `risk_details.network.timezone` (string)
        Timezone detected from the IP address.
        Example: "Europe/Dublin"
      - `risk_details.network.vpn` (boolean)
        Indicates whether VPN usage was detected.
      - `risk_details.network.tor` (boolean)
        Indicates whether Tor usage was detected.
      - `risk_details.network.proxy` (boolean)
        Indicates whether proxy usage was detected.
      - `risk_details.network.anonymizer` (boolean)
        Indicates whether anonymizer usage was detected.
      - `risk_details.recommendation_reasons` (array)
        Risk signals that contributed to the recommendation.
        Example: ["DEVICE_SPOOFED_BY_USERAGENT","DEVICE_SUSPICIOUS_PLATFORM_OS","DEVICE_VERY_OLD_VERSION","DEVICE_PLATFORM_ANOMALY","DEVICE_IP_TIMEZONE_MISMATCH","IP_RISKY_REPUTATION","DEVICE_NEW"]
      - `person` (object, required)
        Information about the person in this session.
      - `person.full_name` (string)
        Full name
        Example: "Marie Salomea Skłodowska-Curies"
      - `person.given_name` (string)
        Given name
        Example: "Marie"
      - `person.surname` (string)
        Family name
        Example: "Curies"
      - `person.gender` (string)
        Gender
        Enum: "male", "female", "other"
      - `person.national_id` (string)
        The value that identifies this specific person, like an ID number
        Example: "123ABC"
      - `person.date_of_birth` (string)
        The person's date of birth, as an ISO-8601 string
        Example: "1867-11-07T00:00:00.000Z"
      - `person.age` (number)
        The person's age, at the time the verification was created. This is a derived field and is not present in the original document. It is calculated from the date of birth and the current date.
        Example: 35
      - `document` (object, required)
        Information about the document in this session.
      - `document.country` (string)
        The country that issued this document, as an ISO 3166 alpha-2 code
        Example: "US"
      - `document.region` (string)
        Sub-division of the document's issuer within the country. For example, this field will contain the issuing state for a US drivers license but will be empty for a US passport. Given as a as an ISO 3166 alpha-2 code
        Example: "NY"
      - `document.type` (string, required)
        The type of this document
        Enum: "national_id", "drivers_license", "passport", "residence_permit", "visa", "firearm_license", "criminal_police_certificate", "health_card", "membership_card", "postal", "social_security_card", "voter_card", "professional_id", "other"
      - `document.number` (string)
        This value identifies the document and the person attached to it.
        Example: "1234567"
      - `document.serial_number` (string)
        This value identifies the document itself and not the person attached to it. This property isn't present on all document types, but when it is, the value will change when a document is renewed or reissued. This value is only meaningful in the context of the specific document's country and type
        Example: "1234567"
      - `document.issue_date` (string)
        The date the document was issued, as an ISO-8601 string
        Example: "1867-11-07T00:00:00.000Z"
      - `document.expiration_date` (string)
        The date the document is expired, as an ISO-8601 string
        Example: "1867-11-07T00:00:00.000Z"
      - `additional_info` (object)
        Additional information extracted from this session.
      - `additional_info.address` (object)
        The person's address
      - `additional_info.address.country` (string)
        ISO 3166-1 alpha-3 country code
        Example: "USA"
      - `additional_info.address.region` (string)
        Region
        Example: "Indiana"
      - `additional_info.address.city` (string)
        City
        Example: "Indianapolis"
      - `additional_info.address.street` (string)
        Street
        Example: "Snowy Ridge Road"
      - `additional_info.address.house_number` (string)
        House number
        Example: "1234"
      - `additional_info.address.apartment_number` (string)
        Apartment number
        Example: "12"
      - `additional_info.address.postcode` (string)
        Postcode
        Example: "56789"
      - `additional_info.address.full_address` (string)
        Full address
        Example: "1234 Snowy Ridge Road Indianapolis, IN 56789"
      - `additional_info.national_status` (object)
        The person's national status
      - `additional_info.national_status.citizen` (boolean)
        Indicates if the person is a citizen of the issuing country
      - `additional_info.national_status.resident` (boolean)
        Indicates if the person is a permanent resident of the issuing country
      - `additional_info.employment` (object)
        The person's employment information
      - `additional_info.employment.profession` (string)
        The person's profession
      - `checks` (object, required)
        The verification checks performed in this session.
      - `checks.document_validation` (object)
        Checks that the data extracted from the document is valid and matches the document template.
      - `checks.document_validation.recommendation` (string, required)
        The recommendation of the check.
        Enum: "ALLOW", "CHALLENGE", "DENY", "N/A"
      - `checks.document_validation.reasons` (array)
        Machine-readable rejection reasons.
        Enum: "data_extraction_failed", "data_validation_failed", "data_comparison_failed", "mrz_check_digits_invalid"
      - `checks.document_authentication` (object)
        Checks that the document is authentic and that there are no signs of tampering.
      - `checks.document_authentication.recommendation` (string, required)
        The recommendation of the check.
        Enum: same as `checks.document_validation.recommendation` in "CompleteSessionResult" (4 values)
      - `checks.document_authentication.reasons` (array)
        Machine-readable rejection reasons.
        Enum: "face_tampering", "face_not_found", "missing_security_features", "document_tampering", "document_text_tampering", "wrong_font", "document_damaged", "document_template_mismatch"
      - `checks.document_liveness` (object)
        Checks that the document is a real live document (e.g., not a screen capture).
      - `checks.document_liveness.recommendation` (string, required)
        The recommendation of the check.
        Enum: same as `checks.document_validation.recommendation` in "CompleteSessionResult" (4 values)
      - `checks.document_liveness.reasons` (array)
        Machine-readable rejection reasons.
        Enum: "presentation_attack"
      - `checks.biometric_matching` (object)
        Checks that the selfie is a biometric match to the picture extracted from the document.
      - `checks.biometric_matching.recommendation` (string, required)
        The recommendation of the check.
        Enum: same as `checks.document_validation.recommendation` in "CompleteSessionResult" (4 values)
      - `checks.biometric_matching.reasons` (array)
        Machine-readable rejection reasons.
        Enum: "biometric_mismatch", "age_mismatch", "gender_mismatch"
      - `checks.biometric_liveness` (object)
        Checks that the selfie is a real live person (e.g., not a screen capture).
      - `checks.biometric_liveness.recommendation` (string, required)
        The recommendation of the check.
        Enum: same as `checks.document_validation.recommendation` in "CompleteSessionResult" (4 values)
      - `checks.biometric_liveness.reasons` (array)
        Machine-readable rejection reasons.
        Enum: "screen_capture", "printed_copy_capture", "printed_cutout", "mask_detected", "injection_attack_detected", "selfie_liveness_attack", "multiple_faces_detected"
      - `checks.flagged_identity` (object)
        Checks the session against previous sessions identifying suspicious fraudulent behavior (e.g., previous face fraud).
      - `checks.flagged_identity.recommendation` (string, required)
        The recommendation of the check.
        Enum: same as `checks.document_validation.recommendation` in "CompleteSessionResult" (4 values)
      - `checks.flagged_identity.reasons` (array)
        Machine-readable rejection reasons.
        Enum: "multiple_same_identity_attempts", "previous_document_fraud", "previous_face_fraud"
      - `checks.risk_recommendation` (object)
        Assesses the risk throughout the verification process using a built-in integration with our [Fraud Prevention](/guides/risk/overview.md) services. This is used to detect risk signals, such as bots, spoofed devices, behavioral anomalies, malicious networks, and more.
      - `checks.risk_recommendation.recommendation` (string, required)
        The recommendation of the check.
        Enum: same as `checks.document_validation.recommendation` in "CompleteSessionResult" (4 values)
      - `checks.risk_recommendation.reasons` (array)
        Machine-readable [reasons](/guides/risk/recommendations.md) forwarded from Fraud Prevention services.
        Enum: "action_is_legit", "action_is_suspected_fraud", "behavior_bot_typing", "behavior_bot", "behavior_inhuman_input", "behavior_suspicious_input", "behavior_suspicious_movement", "device_bot", "device_cookie_reused", "device_emulated_gpu", "device_emulator", "device_history_suspicious_fingerprint", "device_impossible_travel", "device_incognito_browser", "device_old_version", "device_origin_anomaly", "device_platform_anomaly", "device_platform_automation", "device_private_browser", "device_profile_velocity", "device_risky_reputation", "device_rooted", "device_spoofed", "device_suspected_bot", "device_suspicious_cpu_core", "device_suspicious_display", "device_suspicious_language", "device_suspicious_network", "device_suspicious_platform", "device_suspicious_timezone", "device_suspicious_useragent", "device_suspicious_velocity", "device_takeover", "device_tampered", "device_vm", "ip_action_velocity", "ip_country_blocked", "ip_is_biz", "ip_is_gov", "ip_is_mil", "ip_is_vpn", "ip_risky_anonymize", "ip_risky_reputation", "ip_trusted", "profile_action_velocity", "profile_activity_anomaly", "profile_device_anomaly", "profile_device_familiar_model", "profile_device_familiar", "profile_device_new", "profile_device_velocity", "profile_familiar", "profile_impossible_travel", "profile_ip_familiar", "profile_location_anomaly", "profile_location_new", "profile_network_anomaly", "profile_trusted", "user_profile_anomaly", "user_trusted", "other"
      - `verification_images` (array, required)
        Images used for verification
      - `verification_images.id` (string, required)
        Image ID
      - `verification_images.type` (string, required)
        Image type
        Enum: "document_front", "document_back", "selfie"
    - IncompleteSessionResult:
      - `session_id` (string, required)
        ID of the verification session
      - `status` (string, required)
        Status of the verification session.
     See [verification statuses](/guides/verify/identity_verification_result/#verification-status)
        Enum: "pending", "capturing", "processing", "recapture", "error"
    - DeprecatedSessionResult:
      - `session_id` (string, required)
        ID of the verification session
      - `status` (string, required)
        Status of the verification session.
     See [verification statuses](/guides/verify/identity_verification_result/#verification-status)
        Enum: "pending", "capturing", "processing", "recapture", "complete", "error"
      - `recommendation` (string)
        Aggregated result of the verification checks. Returned only if the verification was completed.
    See [recommendations]( /guides/verify/identity_verification_result/#recommendations)
        Enum: same as `recommendation` in "CompleteSessionResult" (3 values)
      - `rejection_description` (array)
        Human-readable description of any issues with this session. Not returned if the recommendation is ALLOW
      - `extracted_info` (object)
        Information extracted from this session, but not guaranteed to be verified. Not returned if the recommendation is ALLOW
      - `extracted_info.document` (object)
        Info extracted from the verification session. Returned only if the verification was completed
      - `extracted_info.document.type` (string, required)
        The type of this document
        Enum: same as `document.type` in "CompleteSessionResult" (14 values)
      - `extracted_info.document.country` (string)
        The country that issued this document, as an ISO 3166-1 alpha-3 code
        Example: "USA"
      - `extracted_info.document.region` (string)
        Sub-division of the document's issuer within the country. For example, this field will contain the issuing state for a US drivers license but will be empty for a US passport.
        Example: "ny"
      - `extracted_info.document.issue_date` (string)
        The date the document was issued, as an ISO-8601 string
        Example: "1867-11-07T00:00:00.000Z"
      - `extracted_info.document.document_serial_number` (string)
        A value that identifies this specific document. When an ID (for example) expires and a new one is issued, the 'id_value' will remain the same but this value will be different.
        Example: "1234567"
      - `extracted_info.document.id_value` (string)
        The value that identifies this specific person, like an ID number
        Example: "123ABC"
      - `extracted_info.document.given_name` (string)
        The person's given name, according to this document
        Example: "Marie"
      - `extracted_info.document.surname` (string)
        The person's surname, according to this document
        Example: "Curie"
      - `extracted_info.document.full_name` (string)
        The person's full name, according to this document
        Example: "Marie Salomea Skłodowska-Curie"
      - `extracted_info.document.date_of_birth` (string)
        The person's date of birth, as an ISO-8601 string
        Example: "1867-11-07T00:00:00.000Z"
      - `extracted_info.document.valid_until` (string)
        The date the document is expired, as an ISO-8601 string
        Example: "1867-11-07T00:00:00.000Z"
      - `extracted_info.person` (object)
        Information about the person in this session
      - `extracted_info.person.given_name` (string)
        Given name
        Example: "Marie"
      - `extracted_info.person.surname` (string)
        Family name
        Example: "Curie"
      - `extracted_info.person.gender` (string)
        Gender
        Example: "F"
      - `extracted_info.person.full_name` (string)
        Full name
        Example: "Marie Salomea Skłodowska-Curies"
      - `extracted_info.person.age` (number)
        The person's age, at the current UTC date
        Example: 36
      - `extracted_info.person.address` (object)
        The person's address
      - `extracted_info.person.address.country` (string)
        ISO 3166-1 alpha-3 country code
        Example: "USA"
      - `extracted_info.person.address.region` (string)
        Region
        Example: "Indiana"
      - `extracted_info.person.address.city` (string)
        City
        Example: "Indianapolis"
      - `extracted_info.person.address.street` (string)
        Street
        Example: "Snowy Ridge Road"
      - `extracted_info.person.address.house_number` (string)
        House number
        Example: "1234"
      - `extracted_info.person.address.apartment_number` (string)
        Apartment number
        Example: "12"
      - `extracted_info.person.address.postcode` (string)
        Postcode
        Example: "56789"
      - `extracted_info.person.address.full_address` (string)
        Full address
        Example: "1234 Snowy Ridge Road Indianapolis, IN 56789"
      - `extracted_info.person.date_of_birth` (string)
        The person's date of birth, as an ISO-8601 string
        Example: "1867-11-07T00:00:00.000Z"
      - `verified_info` (object)
        Info verified in the verification session. Returned only if the recommendation is ALLOW
      - `verified_info.person` (object)
        Information about the person identified by this session
      - `verified_info.person.given_name` (string)
        Given name
        Example: "Marie"
      - `verified_info.person.surname` (string)
        Family name
        Example: "Curie"
      - `verified_info.person.gender` (string)
        Gender
        Example: "F"
      - `verified_info.person.full_name` (string)
        Full name
        Example: "Marie Salomea Skłodowska-Curies"
      - `verified_info.person.age` (number)
        The person's age, at the current UTC date
        Example: 36
      - `verified_info.person.address` (object)
        The person's address
      - `verified_info.person.address.country` (string)
        ISO 3166-1 alpha-3 country code
        Example: "USA"
      - `verified_info.person.address.region` (string)
        Region
        Example: "Indiana"
      - `verified_info.person.address.city` (string)
        City
        Example: "Indianapolis"
      - `verified_info.person.address.street` (string)
        Street
        Example: "Snowy Ridge Road"
      - `verified_info.person.address.house_number` (string)
        House number
        Example: "1234"
      - `verified_info.person.address.apartment_number` (string)
        Apartment number
        Example: "12"
      - `verified_info.person.address.postcode` (string)
        Postcode
        Example: "56789"
      - `verified_info.person.address.full_address` (string)
        Full address
        Example: "1234 Snowy Ridge Road Indianapolis, IN 56789"
      - `verified_info.person.date_of_birth` (string)
        The person's date of birth, as an ISO-8601 string
        Example: "1867-11-07T00:00:00.000Z"
      - `verified_info.document` (object)
        Information from the documents of this session
      - `verified_info.document.type` (string, required)
        The type of this document
        Enum: same as `document.type` in "CompleteSessionResult" (14 values)
      - `verified_info.document.country` (string)
        The country that issued this document, as an ISO 3166-1 alpha-3 code
        Example: "USA"
      - `verified_info.document.region` (string)
        Sub-division of the document's issuer within the country. For example, this field will contain the issuing state for a US drivers license but will be empty for a US passport.
        Example: "ny"
      - `verified_info.document.issue_date` (string)
        The date the document was issued, as an ISO-8601 string
        Example: "1867-11-07T00:00:00.000Z"
      - `verified_info.document.document_serial_number` (string)
        A value that identifies this specific document. When an ID (for example) expires and a new one is issued, the 'id_value' will remain the same but this value will be different.
        Example: "1234567"
      - `verified_info.document.id_value` (string)
        The value that identifies this specific person, like an ID number
        Example: "123ABC"
      - `verified_info.document.given_name` (string)
        The person's given name, according to this document
        Example: "Marie"
      - `verified_info.document.surname` (string)
        The person's surname, according to this document
        Example: "Curie"
      - `verified_info.document.full_name` (string)
        The person's full name, according to this document
        Example: "Marie Salomea Skłodowska-Curie"
      - `verified_info.document.date_of_birth` (string)
        The person's date of birth, as an ISO-8601 string
        Example: "1867-11-07T00:00:00.000Z"
      - `verified_info.document.valid_until` (string)
        The date the document is expired, as an ISO-8601 string
        Example: "1867-11-07T00:00:00.000Z"


## Response 400 fields

## Response 401 fields

## Response 404 fields
